# Class JComponent.AccessibleJComponent.AccessibleFocusHandler

java.lang.Object
javax.swing.JComponent.AccessibleJComponent.AccessibleFocusHandler

All Implemented Interfaces:
  `FocusListener, EventListener`

Enclosing class:
  `JComponent.AccessibleJComponent`

@Deprecated protected class JComponent.AccessibleJComponent.AccessibleFocusHandler extends Object implements FocusListener
Deprecated.
This class is no longer used or needed. `java.awt.Component.AccessibleAWTComponent` provides the same functionality and it is handled in `Component`.
Fire PropertyChange listener, if one is registered, when focus events happen

Since:
  1.3

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AccessibleFocusHandler()`
Deprecated.
Constructs an `AccessibleFocusHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent event)`
Deprecated.
Invoked when a component gains the keyboard focus.
`void`
`focusLost(FocusEvent event)`
Deprecated.
Invoked when a component loses the keyboard focus.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleFocusHandler

protected AccessibleFocusHandler()
Deprecated.
Constructs an `AccessibleFocusHandler`.

## Method Details

### focusGained

public void focusGained(FocusEvent event)
Deprecated.
Description copied from interface: `FocusListener`
Invoked when a component gains the keyboard focus.

Specified by:
  `focusGained` in interface `FocusListener`
Parameters:
  `event` - the event to be processed

### focusLost

public void focusLost(FocusEvent event)
Deprecated.
Description copied from interface: `FocusListener`
Invoked when a component loses the keyboard focus.

Specified by:
  `focusLost` in interface `FocusListener`
Parameters:
  `event` - the event to be processed